#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library
%bcond_without	tests		# build without tests

Summary:	Desktop notifications library
Summary(hu.UTF-8):	Desktop értesítő könyvtár
Summary(pl.UTF-8):	Biblioteka powiadomień dla pulpitu
Name:		libnotify
Version:	0.7.6
Release:	1
License:	LGPL v2.1+ (library), GPL v2+ (tools)
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libnotify/0.7/%{name}-%{version}.tar.xz
# Source0-md5:	a4997019d08f46f3bf57b78e6f795a59
URL:		http://developer.gnome.org/notification-spec/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gobject-introspection-devel >= 0.9.12
%{?with_tests:BuildRequires:	gtk+3-devel >= 3.0.0}
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.14}
BuildRequires:	gtk-doc-automake >= 1.14
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.26.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library that sends desktop notifications to a notification daemon,
as defined in the Desktop Notifications spec. These notifications can
be used to inform the user about an event or display some form of
information without getting in the user's way.

%description -l hu.UTF-8
Könyvtár, amely értesítéseket küld egy üzenetkezelő démonnak, ahogy a
Desktop Notifications szabványnak megfelel. Ezek az értesítések
tájékoztathatják a felhasználót eseményről vagy információt jeleníthet
meg.

%description -l pl.UTF-8
Biblioteka wysyłająca powiadomienia dla pulpitu do demona powiadomień
zgodnie ze specyfikacją Desktop Notifications. Powiadomienia te mogą
być używane do informowania użytkownika o zdarzeniu lub wyświetlania
jakiejś formy informacji bez wchodzenia użytkownikowi w drogę.

%package devel
Summary:	libnotify header files
Summary(hu.UTF-8):	libnotify fejléc fájlok
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnotify
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gdk-pixbuf2-devel
Requires:	glib2-devel >= 1:2.26.0

%description devel
Header files for libnotify-based programs development.

%description devel -l hu.UTF-8
Fejléc fájlok libnotify-t használó programok fejlesztéséhez.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów opartych o libnotify.

%package static
Summary:	Static libnotify library
Summary(hu.UTF-8):	Libnotify statikus könyvtár
Summary(pl.UTF-8):	Statyczna biblioteka libnotify
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnotify library.

%description static -l hu.UTF-8
Libnotify statikus könyvtár.

%description static -l pl.UTF-8
Statyczna biblioteka libnotify.

%package apidocs
Summary:	libnotify API documentation
Summary(hu.UTF-8):	libnotify API dokumentáció
Summary(pl.UTF-8):	Dokumentacja API biblioteki libnotify
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libnotify API documentation.

%description apidocs -l hu.UTF-8
libnotify API dokumentáció.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libnotify.

%prep
%setup -q

%{!?with_tests:%{__sed} -i -e '/SUBDIRS/ s/tests//' Makefile.am}
%{!?with_tests:%{__sed} -i -e '/PKG_CHECK_MODULES(TESTS/ s/^/#/' configure.ac}

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static}

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:%{__rm} -rf $RPM_BUILD_ROOT%{_gtkdocdir}/libnotify}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/notify-send
%attr(755,root,root) %{_libdir}/libnotify.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnotify.so.4
%{_libdir}/girepository-1.0/Notify-0.7.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnotify.so
%{_pkgconfigdir}/libnotify.pc
%{_includedir}/libnotify
%{_datadir}/gir-1.0/Notify-0.7.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libnotify.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif
%changelog
* Tue Sep 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnotify.git;a=log;h=master

* Tue Sep 03 2013 Jakub Bogusz <qboosh@pld-linux.org> b86558a
- updated to 0.7.6

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> f83ecd8
- the target is 'check', altho it doesn't run any of the tests

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> 9bb65d9
- allow building without tests, gtk is tests dependency

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> 3bb6287
- cleanup deps

* Tue Mar 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> 533f2bf
- updated to 0.7.5
- use *.xz sources

* Wed Sep 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 8137474
- unified subpackages order

* Tue Aug 30 2011 Łukasz Kieś <kiesiu@pld-linux.org> ca8afd5
- updated to 0.7.4

* Wed Jul 13 2011 Elan Ruusamäe <glen@pld-linux.org> 8573281
- update url

* Tue May 10 2011 Jakub Bogusz <qboosh@pld-linux.org> a6ba55d
- updated to 0.7.3

* Wed Apr 06 2011 Łukasz Kieś <kiesiu@pld-linux.org> 47fba3a
- merged from DEVEL

* Thu Nov 18 2010 hawk <hawk@pld-linux.org> 7df8010
- release 5

* Fri Jul 30 2010 Zsolt Udvari <uzsolt@pld-linux.org> 04e362d
- hu

* Fri Jan 29 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ba734cc
- %{__gtkdocize}
- release 4

* Fri Jan 29 2010 amateja <amateja@pld-linux.org> 61c0946
- release 3

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> 41fd19e
- BR: docbook-dtd412-xml

* Sat Feb 28 2009 Karol Krenski <charles@pld-linux.org> 5e8496e
- added apidocs and static_libs bconds

* Tue Dec 02 2008 hawk <hawk@pld-linux.org> 017389c
- release 2

* Thu Nov 20 2008 Patryk Zawadzki <patrys@room-303.com> 9401a35
- 0.4.5

* Sun Nov 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 410f34f
- release 4

* Wed Nov 07 2007 Elan Ruusamäe <glen@pld-linux.org> e4ce277
- rel 3

